Katello - Bug #24141

"Select All" on folded subscriptions should be implied/automatic
07/03/2018 10:58 AM - Toma$ Strachota

Status: Closed
Priority: Normal
Assignee:
Category: Subscriptions
Target version: Katello 3.7.1
Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1597081 Red Hat JIRA:
Pull request: https://github.com/Katello/katello/pull/752
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1597081

Description of problem:
When a user has rolled-up/folded subscriptions and clicks the 'select all' checkbox, those rolled up subscriptions are not
automatically selected.

If they are unrolled, and user re-clicks, these get selected.

If a user wants to "Select All", in this case, it is presumable that each item within a folded subscription is desired to be selected as
well.

Version-Release number of selected component (if applicable):
6.4.0 snap 10

How reproducible:

Steps to Reproduce:
1. Upload a manifest which has folded subscriptions. Examples of these subscriptions might be:

e Red Hat Enterprise Linux Developer Support, Enterprise
¢ Red Hat Enterprise Linux Developer Support, Professional
2. Navigate to the Subscriptions page; assure said subscriptions are "rolled-up" (the expando arrow is facing 'down’)
3. Click the Select All checkbox.
4. Expand the rolled up subscription
5. View results

Actual results:
It is clear the rolled up subscriptions are not checked. Upon doing this, the Select All checkbox does become unmarked. Clicking it
again will select the now-unfolded subscriptions

Expected results:
| would think that if user Selects All, it would logically mark all child subscriptions as selected, even if they are folded.

More to the point (and perhaps this should be a separate BZ), anytime a parent subscription's checkbox is selected, either manually
or via Select All, the child subscriptions should get selected as well.

Additional info:

Related issues:
Has duplicate Katello - Bug #24095: Select all children of grouped subscripti... Duplicate 06/27/2018

Associated revisions

Revision afd62c48 - 07/18/2018 01:37 PM - Avi Sharvit
Fixes #24141 - SelectAll subscriptions with groups
"Select All" on folded subscriptions should be implied/automatic

History

#1 - 07/03/2018 10:58 AM - Tomas Strachota

- Target version set to 219

#2 - 07/03/2018 03:37 PM - Greg Sutcliffe
- Triaged set to No
- Team Backlog UX added

#3 - 07/06/2018 02:41 PM - Walden Raines

- Has duplicate Bug #24095: Select all children of grouped subscriptions when select all is checked. added

#4 - 07/10/2018 02:08 PM - Walden Raines
- Target version changed from 219 to Katello 3.7.0

#5 - 07/11/2018 06:22 PM - Justin Sherrill
- Target version changed from Katello 3.7.0 to Katello 3.7.1

#6 - 07/12/2018 09:30 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/Katello/katello/pull/7522 added

#7 - 07/18/2018 02:01 PM - Anonymous
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello|afd62c4862ed175ff85480ade745¢2e329df71c0.
